<?php
use Illuminate\Database\Capsule\Manager as Capsule;
if(!function_exists('qq_ticket_sendmsg')){
function qq_ticket_sendmsg($accesstoken,$address,$msg,$userqq){
     $curl = curl_init();
     curl_setopt($curl, CURLOPT_URL, $address.'/send_private_msg?access_token='.urlencode($accesstoken).'&user_id='.$userqq.'&message='.urlencode($msg));
     curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
     $data = curl_exec($curl);
	 $httpCode = curl_getinfo($curl,CURLINFO_HTTP_CODE);
	 if(trim($httpCode)!= '200'){
		 return '服务器返回错误码:'.$httpCode;
	 }
	 if(!$data){
		 return '服务器未返回任何信息';
	 }
	 $data = json_decode($data,true);
	 if(!$data){
		 return '服务器返回的信息无法被解释';
	 }
	 if($data['status'] != 'ok'){
		 return json_encode($data);
	 }
     curl_close($curl);
     return 'success';
}
}
add_hook('TicketOpen', 1, function($vars) {
	$Adminuserlist = explode(',',Capsule::table("tbladdonmodules")->where("module", "qq_ticket")->where("setting", "admin_list")->first()->value);
    $coolq_token_Ticket = Capsule::table("tbladdonmodules")->where("module", "qq_ticket")->where("setting", "coolq_token")->first()->value;
	$coolq_address_Ticket = Capsule::table("tbladdonmodules")->where("module", "qq_ticket")->where("setting", "coolq_address")->first()->value;
	foreach($Adminuserlist as $Adminuser){
		$messageinfo_Ticket = "用户ID为：".$vars["userid"]." 的客户在新建的工单(ID:".$vars["ticketid"].") 「".$vars["subject"]."」中说到: ".$vars["message"];
		$qqsendreturn = qq_ticket_sendmsg($coolq_token_Ticket,$coolq_address_Ticket,$messageinfo_Ticket,trim($Adminuser));
	}
});
add_hook('TicketUserReply', 1, function($vars) {
	$Adminuserlist = explode(',',Capsule::table("tbladdonmodules")->where("module", "qq_ticket")->where("setting", "admin_list")->first()->value);
    $coolq_token_Ticket = Capsule::table("tbladdonmodules")->where("module", "qq_ticket")->where("setting", "coolq_token")->first()->value;
	$coolq_address_Ticket = Capsule::table("tbladdonmodules")->where("module", "qq_ticket")->where("setting", "coolq_address")->first()->value;
	foreach($Adminuserlist as $Adminuser){
		$messageinfo_Ticket = "用户ID为：".$vars["userid"]." 的客户在工单(ID:".$vars["ticketid"].")「".$vars["subject"]."」中回复到: ".$vars["message"];
		$qqsendreturn = qq_ticket_sendmsg($coolq_token_Ticket,$coolq_address_Ticket,$messageinfo_Ticket,trim($Adminuser));
	}
});