<?php
use WHMCS\Database\Capsule;

function qq_ticket_config() {
	$configarray = array(
		'name' 			=> 'QQ Ticket',
		'description' 	=> '此模块可以让管理员在QQ上收到客户的Whmcs工单通知',
		'version' 		=> '1.1',
		'author' 		=> 'flyqie',
		'fields' 		=> []
	);
	
	$configarray['fields']['coolq_token'] = [
		'FriendlyName' 	=> 'CoolqHttpApi AccessToken',
		'Type' 			=> 'text',
		'Size' 			=> '25'
	];

	$configarray['fields']['coolq_address'] = [
		'FriendlyName' 	=> 'CoolqHttpApi Address',
		'Type' 			=> 'text',
		'Default' 		=> 'http://xxx.xxx.com:8888',
		'Size' 			=> '25'
	];
	
	$configarray['fields']['admin_list'] = [
		'FriendlyName' 	=> '管理员QQ(以,分割)',
		'Type' 			=> 'text',
		'Default' 		=> '10002,10001',
		'Size' 			=> '25'
	];
	
	return $configarray;
}

function qq_ticket_activate() {
	return [
		'status' => 'success',
		'description' => '模块激活成功. 点击 配置 对模块进行设置。'
	];
}

function qq_ticket_deactivate() {
	
	return [
		'status' => 'success',
		'description' => '模块卸载成功,你不爱老夏了'
	];
}